/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package vclaimsepprint

import (
	e "simrs-vx/internal/domain/bpjs-entities/vclaim-sep-print"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.VclaimSepPrint) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.VclaimSep_Number = inputSrc.VclaimSep_Number
}
